Freeciv-3.2: packet_research_info Struct Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Data Fields
packet_research_info Struct Reference

`#include <packets_gen.h>`

## Data Fields

int | id
int | techs_researched
int | future_tech
int | researching
int | researching_cost
int | bulbs_researched
int | tech_goal
int | total_bulbs_prod
char | inventions [A_LAST+1]

## Detailed Description

Definition at line 604 of file packets_gen.h.

## Field Documentation

## ◆ bulbs_researched

int packet_research_info::bulbs_researched

Definition at line 610 of file packets_gen.h.

Referenced by handle_research_info(), package_research_info(), and send_packet_research_info_100().

## ◆ future_tech

int packet_research_info::future_tech

Definition at line 607 of file packets_gen.h.

Referenced by handle_research_info(), package_research_info(), and send_packet_research_info_100().

## ◆ id

int packet_research_info::id

Definition at line 605 of file packets_gen.h.

Referenced by handle_research_info(), package_research_info(), and receive_packet_research_info_100().

## ◆ inventions

char packet_research_info::inventions[A_LAST+1]

Definition at line 613 of file packets_gen.h.

Referenced by handle_research_info(), package_research_info(), and send_packet_research_info_100().

## ◆ researching

int packet_research_info::researching

Definition at line 608 of file packets_gen.h.

Referenced by handle_research_info(), package_research_info(), and send_packet_research_info_100().

## ◆ researching_cost

int packet_research_info::researching_cost

Definition at line 609 of file packets_gen.h.

Referenced by handle_research_info(), package_research_info(), and send_packet_research_info_100().

## ◆ tech_goal

int packet_research_info::tech_goal

Definition at line 611 of file packets_gen.h.

Referenced by handle_research_info(), package_research_info(), and send_packet_research_info_100().

## ◆ techs_researched

int packet_research_info::techs_researched

Definition at line 606 of file packets_gen.h.

Referenced by handle_research_info(), package_research_info(), and send_packet_research_info_100().

## ◆ total_bulbs_prod

int packet_research_info::total_bulbs_prod

Definition at line 612 of file packets_gen.h.

Referenced by handle_research_info(), package_research_info(), and send_packet_research_info_100().